one more question

Added by Chetery over 7 years ago

Has anybody gotten world editor or georges to run in wine? If so can you provide some instructions?


Replies (41)

RE: one more question - Added by molator over 7 years ago

The legacy tools are being ported from MFC to QT.
Have a look at Object Viewer QT plugins.

RE: one more question - Added by Chetery over 7 years ago

QT?
Sorry I am not up on enough of the lingo here yet.

I think I had the server running but I couldn't tell for sure, it did say Service Ready
1) the 'screen' app on terminal reported 'no other windows'
2) I was not able to get client to connect to anything but game server even tho I changed the client_default.cfg file

Also I just tried installing the windows client under wine, it installed with no error but wont run, doesn't report any errors just dies.

Anyway I had some computer problems and will be starting from square one tomorrow, not a bad deal since I know a lot more about what I am doing now :D

RE: one more question - Added by molator over 7 years ago

QT is not specific to ryzom core:
http://qt.nokia.com/products/

Please provide us with client.log, client.cfg (client side) and frontend_service.log, frontend_service.cfg (server side).

RE: one more question - Added by Chetery over 7 years ago

I have the server and client running now, thank you to everyone that helped me out here and on irc.

So now on to object viewers/world editors/georges and other fun stuff :D

Looking around the wiki I see a lot of detailed info how to use these tools and a couple of things on installing on windows but can't seem to find anything for linux support ...
for example:
Prerequisites¶

This and that has to be done first.

Get Sources
Configure CMake with ...
Build
Copy OV widget
Run ...

OK the source seems to be in the large package of stuff I already have, at a guess I would also need to have qt sdk?
Then what sort of configurations might be needed for the cmake??
OV widget???

RE: one more question - Added by molator over 7 years ago

It's supposed to work exactly the same way on all OS.
You will need QT dev package:
http://get.qt.nokia.com/qt/source/qt-everywhere-opensource-src-4.7.4.tar.gz
You may have to build the libs first.

You can build Object Viewer QT (OVQT) and its plugins.
In Cmake, check WITH_NEL_TOOLS, WITH_QT and WITH_RYZOM_TOOLS and then build.

If you don't build static drivers (without WITH_STATIC_DRIVERS), you will have to use "make install"
to add the drivers libs in a path known by your system.

Create a folder for OVQT, place the binary in that folder and the content of the following folder:
code\nel\tools\3d\object_viewer_qt\data
Create a subfolder called "plugins" and place in that subfolder the following plugins:
ovqt_plugin_core*, ovqt_plugin_disp_sheet_id*, ovqt_plugin_georges_editor*, ovqt_plugin_landscape_editor*,
ovqt_plugin_log*, ovqt_plugin_object_viewer* and ovqt_plugin_sheet_builder*.
The mission compiler plugin required some path to be subst (windows virtual drive), so it will crash OVQT.

In the wikis, you will find reference to virtual drives,
you can replace those with static paths.

I haven't tested OVQT recently but should be fine.
The legacy tools were designed for windows only using the MFC.
The new tools are using QT, but it will required some more time to validate the tools on all OS.

RE: one more question - Added by Chetery over 7 years ago

Thanks for the very nice detailed instructions, much appreciated.
After getting and installing the QT package I ran into this oddness
-------
CMake Error at /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:70 (MESSAGE):
Could NOT find Lua50 (missing: LUA_LIBRARIES LUA_INCLUDE_DIR)
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/FindLua50.cmake:93 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
CMakeLists.txt:7 (FIND_PACKAGE)
------------
Since I already built the server lua should be fine but I went and reinstalled it just to be sure and still have the error.

whereis lua
lua: /usr/include/lua5.1

RE: one more question - Added by kervala over 7 years ago

Did you disable WITH_LUA51 ? Because it's enabled by default :) If you want to use Lua 5.1, it must be enabled else it will use Lua 5.0

RE: one more question - Added by Chetery over 7 years ago

I fixed the previous problem installing lua50 and of course got a few more
---------
CMake Error at CMakeLists.txt:9 (FIND_PACKAGE):
Could not find module FindLuabind.cmake or a configuration file for package
Luabind.

Adjust CMAKE_MODULE_PATH to find FindLuabind.cmake or set Luabind_DIR to
the directory containing a CMake configuration file for Luabind. The file
will have one of the following names:
LuabindConfig.cmake
luabind-config.cmake

-- Found CURL: /usr/lib/libcurl.so
CMake Error at CMakeLists.txt:11 (FIND_PACKAGE):
Could not find module FindLibwww.cmake or a configuration file for package
Libwww.>

Adjust CMAKE_MODULE_PATH to find FindLibwww.cmake or set Libwww_DIR to the
directory containing a CMake configuration file for Libwww. The file will
have one of the following names:
LibwwwConfig.cmake
libwww-config.cmake

CMake Error at common/src/game_share/CMakeLists.txt:10 (NL_TARGET_LIB):
Unknown CMake command "NL_TARGET_LIB".

----------------------------------
hopefully posting the problems here (and fixes if I find) as I go will help others

RE: one more question - Added by kervala over 7 years ago

Why didn't you install all required 3rd party libraries ? If it can't find a library, it's because it's not installed... There are no error there. You have to fix it yourself.

RE: one more question - Added by molator over 7 years ago

If you built the client and server, you had the solution previously.

You can built libwww using Kervala's repository:
http://hg.kervala.net/packaging/file/eafcc9e7516c/libwww
Left click on gz or bz2 (left column).

With some distro, Lua 5.1 is never recognized.
You could try to create a symbolic link between the libs such as:
libwww*.so.5.1 => libwww*.so.5.0
and use WITH_LUA51 off

RE: one more question - Added by Chetery over 7 years ago

A completel reinstall of lua/luabind packages seems to have fixed all the previous issus

now I am down to:
---------
CMake Error at /usr/share/cmake-2.8/Modules/FindQt4.cmake:1726 (MESSAGE):
Qt qmake not found!
Call Stack (most recent call first):
CMakeLists.txt:128 (FIND_PACKAGE)

RE: one more question - Added by Chetery over 7 years ago

I only posted about the lua etc. errors because it seemed very strange since things had been working, still no idea why but did get it working.
At least as far as the make
first it hit this
----------------
[ 26%] make2: * No rule to make target `../nel/tools/3d/object_viewer_qt/src/plugins/core/imenu_manager.h', needed by `nel/tools/3d/object_viewer_qt/src/plugins/core/moc_imenu_manager.cxx'. Stop.
make2:
Waiting for unfinished jobs....
Generating moc_icontext.cxx
make1:
[nel/tools/3d/object_viewer_qt/src/plugins/core/CMakeFiles/ovqt_plugin_core.dir/all] Error 2
make1:
Waiting for unfinished jobs....
[ 26%] Build
--------------then went on for a bit and ended here:
[ 45%] Building CXX object nel/src/3d/CMakeFiles/nel3d.dir/logic_info.cpp.o
Linking CXX shared library ../../../lib/libnel3d.so
[ 45%] Built target nel3d
make: *
* [all] Error 2

RE: one more question - Added by molator over 7 years ago

QT libs aren't properly installed or built.

When building try with: make
instead of: make -J3 (or else)

RE: one more question - Added by dnk-88 over 7 years ago

I fixed ovqt issue. Update source and rebuild.

RE: one more question - Added by Chetery over 7 years ago

While this may be a operator headspace error I have run out of ideas:
I started all over with new source (just new source of ryzom packages ) after message from dnk-88 above.
I was right back to the problem of not finding lua50 - I got that one fixed eventually.

then I again hit
CMake Error at CMakeLists.txt:9 (FIND_PACKAGE):
Could not find module FindLuabind.cmake or a configuration file for package
Luabind.

Adjust CMAKE_MODULE_PATH to find FindLuabind.cmake or set Luabind_DIR to
the directory containing a CMake configuration file for Luabind. The file
will have one of the following names:
LuabindConfig.cmake
luabind-config.cmake
luabind is there for sure:
"whereis luabind
luabind: /usr/include/luabind"

I have resorted to removing and reinstalling several times. Both with the Synaptic package manager and manually.
with no change in the error message.
There are a couple more errors in the cmake after this one -it apparently cant find the same thing for libwww which is also most certainly there and this one I dont understand at all
CMake Error at common/src/game_share/CMakeLists.txt:10 (NL_TARGET_LIB):
Unknown CMake command "NL_TARGET_LIB".

I think there must be a step I am missing somewhere but I am out of ideas.

RE: one more question - Added by kervala over 7 years ago

I have no idea what you're doing, but you're the only one to have these problems and I suspect you don't understand how to use CMake.

Just install dependencies in /usr or /usr/local and CMake will find them.

NL_TARGET_LIB is defined in code/CMakeModules/nel.cmake

Please what tutorial did you follow ?

RE: one more question - Added by Chetery over 7 years ago

Can't really answer on which page I used. Have used several different ones as they tend to give different information.
I am certainly a noob at this but right now I think its a path problem.
It says it cant find the "FindLuabind.cmake" which is most certainly there. An error there would tend to cause the subsequent errors too.
Don't know if I am only one having a problem, I do seem to be the only one posting about it.I learn a lot from reading through others problems and how they solved them.

RE: one more question - Added by kervala over 7 years ago

The right tutorial is : http://dev.ryzom.com/projects/ryzom/wiki/BuildForLinuxCmake

I suppose you can't find FindLuabind.cmake because you're launching CMake from any directory, but the only way to make it works is to launch CMake from root Ryzom Core folder as explained in tutorial :)

Something like this should be working without issues, but I suggest you to set CMake parameters to suits your needs :

cd code
mkdir build
cd build
cmake ..
make

RE: one more question - Added by Chetery over 7 years ago

cmake -DWITH_NEL=ON -DWITH_RYZOM_SERVER=OFF -DWITH_STATIC=OFF -DWITH_STATIC_DRIVERS=ON \
-DWITH_RYZOM_CLIENT=OFF -DWITH_DRIVER_OPENGL=OFF -DWITH_DRIVER_OPENAL=OFF -DWITH_SOUND=OFF \
-DWITH_NEL_TOOLS=ON -DWITH_RYZOM_TOOLS=ON -DWITH_NEL_TESTS=OFF -DWITH_QT=ON ..

make

[ 76%] Building CXX object nel/tools/3d/object_viewer_qt/src/plugins/object_viewer/CMakeFiles/ovqt_plugin_object_viewer.dir/qrc_object_viewer.cxx.o
Linking CXX shared module ../../../../../../../lib/libovqt_plugin_object_viewer.so
/usr/bin/ld: cannot find -lnelsound
collect2: ld returned 1 exit status
make2: * [lib/libovqt_plugin_object_viewer.so] Error 1
make1:
[nel/tools/3d/object_viewer_qt/src/plugins/object_viewer/CMakeFiles/ovqt_plugin_object_viewer.dir/all] Error 2
make: *
* [all] Error 2

RE: one more question - Added by kervala over 7 years ago

I suppose at least one 3D driver and sound driver must be compiled, because Object Viewer Qt is using them :)

How do you want to display a 3D preview without 3D driver ? :)

To fix this error, we could disable object viewer if WITH_SOUND is OFF.

RE: one more question - Added by Chetery over 7 years ago

With sound and client on to hopefully get past the previous problem -

make2: * [nel/tools/3d/object_viewer_qt/src/plugins/mission_compiler/CMakeFiles/ovqt_plugin_mission_compiler.dir/mission_compiler_main_window.cpp.o] Error 1
make1:
[nel/tools/3d/object_viewer_qt/src/plugins/mission_compiler/CMakeFiles/ovqt_plugin_mission_compiler.dir/all] Error 2
make: *
* [all] Error 2

apparently doesn't much link the mission_compiler as molator mentioned before, but I somehow got that as 'don't use' without path fix not won't make.

RE: one more question - Added by kervala over 7 years ago

Please what is the error before pasted lines ?

RE: one more question - Added by Chetery over 7 years ago

[ 62%] Building CXX object nel/tools/3d/object_viewer_qt/src/plugins/mission_compiler/CMakeFiles/ovqt_plugin_mission_compiler.dir/mission_compiler_main_window.cpp.o
In file included from /home/chetty/ryzom/code/nel/tools/3d/object_viewer_qt/src/plugins/mission_compiler/mission_compiler_main_window.cpp:2:
/home/chetty/ryzom/code/build/nel/tools/3d/object_viewer_qt/src/plugins/mission_compiler/ui_mission_compiler_main_window.h: In member function ‘void Ui_MissionCompilerMainWindow::retranslateUi(QMainWindow*)’:
/home/chetty/ryzom/code/build/nel/tools/3d/object_viewer_qt/src/plugins/mission_compiler/ui_mission_compiler_main_window.h:332: error: ‘class QLineEdit’ has no member named ‘setPlaceholderText’
In file included from /home/chetty/ryzom/code/nel/tools/3d/object_viewer_qt/src/plugins/mission_compiler/mission_compiler_main_window.cpp:4:
/home/chetty/ryzom/code/ryzom/tools/leveldesign/mission_compiler_lib/mission_compiler.h: In constructor ‘CPhrase::TParamInfo::TParamInfo(const std::string&, STRING_MANAGER::TParamType, const std::string&)’:
/home/chetty/ryzom/code/ryzom/tools/leveldesign/mission_compiler_lib/mission_compiler.h:184: warning: ‘CPhrase::TParamInfo::ParamType’ will be initialized after
/home/chetty/ryzom/code/ryzom/tools/leveldesign/mission_compiler_lib/mission_compiler.h:182: warning: ‘std::string CPhrase::TParamInfo::CompilerParam’
/home/chetty/ryzom/code/ryzom/tools/leveldesign/mission_compiler_lib/mission_compiler.h:191: warning: when initialized here
In file included from /home/chetty/ryzom/code/nel/tools/3d/object_viewer_qt/src/plugins/mission_compiler/mission_compiler_main_window.cpp:4:
/home/chetty/ryzom/code/ryzom/tools/leveldesign/mission_compiler_lib/mission_compiler.h: In copy constructor ‘CMissionData::CMissionData(const CMissionData&)’:
/home/chetty/ryzom/code/ryzom/tools/leveldesign/mission_compiler_lib/mission_compiler.h:331: warning: base class ‘class NLMISC::CRefCount’ should be explicitly initialized in the copy constructor
/home/chetty/ryzom/code/nel/tools/3d/object_viewer_qt/src/plugins/mission_compiler/mission_compiler_main_window.cpp: In member function ‘bool MissionCompilerMainWindow::parsePrimForMissions(const NLLIGO::IPrimitive*, std::map<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, CMission, std::less<std::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::allocator<std::pair<const std::basic_string<char, std::char_traits<char>, std::allocator<char> >, CMission> > >&)’:
/home/chetty/ryzom/code/nel/tools/3d/object_viewer_qt/src/plugins/mission_compiler/mission_compiler_main_window.cpp:382: error: ‘stricmp’ was not declared in this scope
make2: * [nel/tools/3d/object_viewer_qt/src/plugins/mission_compiler/CMakeFiles/ovqt_plugin_mission_compiler.dir/mission_compiler_main_window.cpp.o] Error 1
make1:
[nel/tools/3d/object_viewer_qt/src/plugins/mission_compiler/CMakeFiles/ovqt_plugin_mission_compiler.dir/all] Error 2
make: *
* [all] Error 2

RE: one more question - Added by kervala over 7 years ago

Ok thanks :)

The real error seems to be :

/home/chetty/ryzom/code/build/nel/tools/3d/object_viewer_qt/src/plugins/mission_compiler/ui_mission_compiler_main_window.h:332: error: ‘class QLineEdit’ has no member named ‘setPlaceholderText’

RE: one more question - Added by kervala over 7 years ago

Could you retry please ? sfb fixed this error which occurs with previous Qt versions (< 4.7).

1 2 Next » (1-25/41)